#!/bin/sh

onapp_version_major=$1

if [ "x${onapp_version_major}" = "x" ]; then
    exit 1;
fi

templates_dir='Linux'
if [ "x${2}" != "x" ]; then
    templates_dir=$2
fi

root_dir='/home/templates/template/public_html'

rm -f ${root_dir}/asva_template.sql.new

for file in `cat ${root_dir}/asva_template.list`; do 
    ${root_dir}/generate-onapp-templates-sql.sh -w -m SQL -v ${onapp_version_major} -d ${root_dir}/${templates_dir} -t $file -o ${root_dir}/asva_template.sql.new; 
done;

for file in `cat ${root_dir}/asva_template.list`; do 
    ${root_dir}/generate-onapp-templates-sql.sh -w -m SQL -v ${onapp_version_major} -d ${root_dir}/${templates_dir} -t $file -o ${root_dir}/asva_template.sql.new -u "application_server=1"; 
done;

